Subject: Re: [ftpext] draft-ietf-ftpext2-ftp64-00 translation scenario

From: liu dapeng <[email-masked]>
Date: Mon, 4 Jul 2011 13:04:55 +0800

Hi Robert,

Thanks for the comments.

2011/1/18, Robert Oslin <[email-masked]>:
> This draft makes the case for how an IPv6 FTP client should behave when
> processing an IPv4 FTP Server PASV/PORT reply when going from an IPv6
> network through a translation device.
>
> In general I'm in favor of "client intelligence"*, and I don't see that it
> explicitly violates RFC959 in terms of handling the PASV response, although
> it does so implicitly since the client should be using the IP and port
> provided in the server reply.
>
> My point of contention is this: Why an RFC at all? Unless I'm mistaken,
> translation, such as NAT-PT, BIS, BIA, etc. has been moved to experimental
> status, as translation should be considered a "last resort" when other IPv6
> transition options are unavailable (dual stack, tunneling, etc.).
==>
Actually, in Behave working group, NAT64 (RFC6146 ) is intend to be
standard track. Besides, in IPv4/IPv6 transition period, there would
be IPv6 client access IPv4 server scenario, that is why IETF specifies
NAT64.

> ~~~
>
> *Clients should do this today in an IPv4 world if for example a PASV reply
> contains network address prefix, e.g. 192.168.0.0/16, which can happen if
> using encrypted communications and going though NAT and the server hasn't
> configured the "external" facing IP (And since the session is encrypted, NAT
> can't see the address to change it). The client should identify this (and
> similar) wrong IPs and reuse the control connection's IP.
==>
That is a valide scenario, I will include this in the updated version. Thanks!

Best regards,
Dapeng Liu

> Robert Oslin
> Director of Product Management
> Tel: 1 (210) 293-7902
> Fax: 1 (210) 690-8824
> Send me large files securely
>
> www.globalscape.com
>
>    (NYSE Amex:GSB)
> *This communication, including attachments, is for the exclusive use of the
> addressee and may contain proprietary, confidential or privileged
> information. If you are not the intended recipient, any use, copying,
> disclosure, dissemination or distribution is strictly prohibited. If you are
> not the intended recipient, please notify the sender immediately by return
> email and delete this communication and destroy all copies.
>
>
> _______________________________________________
> ftpext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ftpext
>

-- 

------
Best Regards,
Dapeng Liu